Description

It would be really great to add option (and role premission?) that will allow users edit list values of a custom field "list" just in the same

way, as categories can be added by users from issue view (now can be list edited only by admin in custom fueld config).

Related issues:

Related to Redmine - Feature #13016: Dynamic adding values to custom fields New

Related to Redmine - Feature #6717: Custom list field with dynamic list content New 2010-10-21

History

#1 - 2015-06-03 10:19 - Yann Laforest

+1

Need this feature too.

I need each project-admin to be able to edit some fields because some of them may have to be changed often.

We don't want the Administrator to be spammed for changing value of custom fields.

It would be great that we can add fields like "Category" .

#2 - 2015-06-15 16:54 - Robert Schneider

Possible duplicate of #13016 or #6717?

#3 - 2015-07-03 05:43 - Toshi MARUYAMA

- Related to Feature #13016: Dynamic adding values to custom fields added

#4 - 2015-07-03 05:44 - Toshi MARUYAMA

- Related to Feature #6717: Custom list field with dynamic list content added

#5 - 2015-08-26 09:04 - Aleksey Pashkov

+1

#6 - 2015-08-27 02:32 - Shouka Baku

+1

#7 - 2015-12-02 22:12 - Anonymous

Hi

I have just finished the first version of a plugin to enable user-editing of Custom Fields.

Please have a look at https://www.redmine.org/plugins/redmine_edit_custom_fields

Features:

Allows editing of all Issue Custom Fields for a project

Provides new role permission

Provides new module permission

Still missing:

Add field in Custom Fields configuration to make only certain Custom Fields user editable

Add a select box to choose which Custom Field to edit

2025-05-02 1/2

https://www.redmine.org/issues/13016
https://www.redmine.org/issues/6717
https://www.redmine.org/plugins/redmine_edit_custom_fields


Best regards

Frederick Thomssen

#8 - 2019-03-27 11:08 - Wael Darwich

+1

#9 - 2020-08-06 07:25 - Neda Moeini

+1

#10 - 2023-02-02 12:34 - Albert Valls

+1

#11 - 2023-02-24 18:53 - Rogério Braudes

Anônimo wrote:

Hi

I have just finished the first version of a plugin to enable user-editing of Custom Fields.

Please have a look at https://www.redmine.org/plugins/redmine_edit_custom_fields

Features:

Allows editing of all Issue Custom Fields for a project

Provides new role permission

Provides new module permission

Still missing:

Add field in Custom Fields configuration to make only certain Custom Fields user editable

Add a select box to choose which Custom Field to edit

Best regards

Frederick Thomssen

 Hi. Can you make this compatible for redmine 4.1?
